diff -ruN mozilla-orig/.mozconfig mozilla/.mozconfig
--- mozilla-orig/.mozconfig	1969-12-31 19:00:00.000000000 -0500
+++ mozilla/.mozconfig	2007-12-10 13:06:44.000000000 -0500
@@ -0,0 +1,38 @@
+# sh
+# Build configuration script
+#
+# See http://www.mozilla.org/build/unix.html for build instructions.
+#
+
+. $topsrcdir/browser/config/mozconfig
+
+# Options for client.mk.
+# environment variables to set
+
+# Options for 'configure' (same as command-line options).
+ac_add_options --prefix=@PREFIX@
+ac_add_options --enable-official-branding
+ac_add_options --enable-default-toolkit=gtk2
+ac_add_options --enable-xft
+#ac_add_options --disable-xft
+#ac_add_options --enable-freetype2
+#ac_add_options --disable-freetype2
+ac_add_options --enable-postscript
+ac_add_options --enable-xinerama
+ac_add_options --with-pthreads
+ac_add_options --disable-gnomevfs
+ac_add_options --disable-gnomeui
+ac_add_options --enable-extensions=default,-gnomevfs,xforms,schema-validation
+ac_add_options --enable-canvas
+ac_add_options --enable-svg
+
+# prebinding disabled or otherwise don't get binary
+ac_add_options --disable-prebinding
+ac_add_options --disable-debug
+ac_add_options --disable-tests
+ac_add_options --enable-strip
+ac_add_options --enable-optimize='-Os'
+ac_add_options --enable-macos-target=10.4
+ac_add_options --with-default-mozilla-five-home=@PREFIX@/lib/firefox2
+ac_add_options --with-system-jpeg=@PREFIX@
+ac_add_options --with-system-png=@PREFIX@
diff -ruN mozilla-orig/browser/locales/en-US/profile/bookmarks.html mozilla/browser/locales/en-US/profile/bookmarks.html
--- mozilla-orig/browser/locales/en-US/profile/bookmarks.html	2006-08-19 02:04:11.000000000 -0400
+++ mozilla/browser/locales/en-US/profile/bookmarks.html	2007-12-10 13:06:44.000000000 -0500
@@ -14,6 +14,7 @@
     <DL><p>
         <DT><A HREF="http://en-US.www.mozilla.com/en-US/firefox/central/" ICON="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAABGdBTUEAAK/INwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAHWSURBVHjaYvz//z8DJQAggJiQOe/fv2fv7Oz8rays/N+VkfG/iYnJfyD/1+rVq7ffu3dPFpsBAAHEAHIBCJ85c8bN2Nj4vwsDw/8zQLwKiO8CcRoQu0DxqlWrdsHUwzBAAIGJmTNnPgYa9j8UqhFElwPxf2MIDeIrKSn9FwSJoRkAEEAM0DD4DzMAyPi/G+QKY4hh5WAXGf8PDQ0FGwJ22d27CjADAAIIrLmjo+MXA9R2kAHvGBA2wwx6B8W7od6CeQcggKCmCEL8bgwxYCbUIGTDVkHDBia+CuotgACCueD3TDQN75D4xmAvCoK9ARMHBzAw0AECiBHkAlC0Mdy7x9ABNA3obAZXIAa6iKEcGlMVQHwWyjYuL2d4v2cPg8vZswx7gHyAAAK7AOif7SAbOqCmn4Ha3AHFsIDtgPq/vLz8P4MSkJ2W9h8ggBjevXvHDo4FQUQg/kdypqCg4H8lUIACnQ/SOBMYI8bAsAJFPcj1AAEEjwVQqLpAbXmH5BJjqI0gi9DTAAgDBBCcAVLkgmQ7yKCZxpCQxqUZhAECCJ4XgMl493ug21ZD+aDAXH0WLM4A9MZPXJkJIIAwTAR5pQMalaCABQUULttBGCCAGCnNzgABBgAMJ5THwGvJLAAAAABJRU5ErkJggg==" ID="rdf:#$GvPhC3">Getting Started</A>
         <DT><A HREF="http://en-US.fxfeeds.mozilla.com/en-US/firefox/livebookmarks/" FEEDURL="http://en-US.fxfeeds.mozilla.com/en-US/firefox/headlines.xml" ID="rdf:#$HvPhC3">Latest Headlines</A>
+	 <DT><A HREF="http://www.finkproject.org/">Fink - Home</A>
     </DL><p>
     <HR>
     <DT><H3 ID="rdf:#$ZvPhC3">Mozilla Firefox</H3>
diff -ruN mozilla-orig/config/autoconf.mk.in mozilla/config/autoconf.mk.in
--- mozilla-orig/config/autoconf.mk.in	2006-09-14 14:07:03.000000000 -0400
+++ mozilla/config/autoconf.mk.in	2007-12-10 13:06:44.000000000 -0500
@@ -57,14 +57,14 @@
 prefix		= @prefix@
 exec_prefix	= @exec_prefix@
 bindir		= @bindir@
-includedir	= @includedir@/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+includedir	= @includedir@/$(MOZ_APP_NAME)2
 libdir		= @libdir@
 datadir		= @datadir@
 mandir		= @mandir@
-idldir		= @datadir@/idl/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
+idldir		= @datadir@/idl/$(MOZ_APP_NAME)2
 
-mozappdir	= $(libdir)/$(MOZ_APP_NAME)-$(MOZ_APP_VERSION)
-mredir		= $(libdir)/mre/mre-$(MOZ_APP_VERSION)
+mozappdir	= $(libdir)/$(MOZ_APP_NAME)2
+mredir		= $(libdir)/mre/mre2
 mrelibdir	= $(mredir)/lib
 
 DIST		= $(DEPTH)/dist
diff -ruN mozilla-orig/config/config.mk mozilla/config/config.mk
--- mozilla-orig/config/config.mk	2007-02-01 17:31:07.000000000 -0500
+++ mozilla/config/config.mk	2007-12-10 13:06:44.000000000 -0500
@@ -665,7 +665,7 @@
 ifeq ($(OS_ARCH),Darwin)
 ifdef USE_PREBINDING
 export LD_PREBIND=1
-export LD_SEG_ADDR_TABLE=$(shell cd $(topsrcdir); pwd)/config/prebind-address-table
+export LD_PREBIND_ALLOW_OVERLAP=1
 endif # USE_PREBINDING
 ifdef NEXT_ROOT
 export NEXT_ROOT
diff -ruN mozilla-orig/configure mozilla/configure
--- mozilla-orig/configure	2007-11-08 14:22:51.000000000 -0500
+++ mozilla/configure	2007-12-10 13:06:44.000000000 -0500
@@ -5736,7 +5736,7 @@
     ;;
 
 *-darwin*)
-    HOST_CFLAGS="$HOST_CFLAGS -DXP_UNIX -DXP_MACOSX -DNO_X11"
+    HOST_CFLAGS="$HOST_CFLAGS -DXP_UNIX"
     HOST_NSPR_MDCPUCFG='\"md/_darwin.cfg\"'
     HOST_OPTIMIZE_FLAGS="${HOST_OPTIMIZE_FLAGS=-O3}"
     MOZ_FIX_LINK_PATHS='-Wl,-executable_path,$(DIST)/bin'
@@ -6030,10 +6030,10 @@
     MKCSHLIB='$(CC) $(CFLAGS) $(DSO_PIC_CFLAGS) $(DSO_LDOPTS) -o $@'
 
     _PEDANTIC=
-    CFLAGS="$CFLAGS -fpascal-strings -no-cpp-precomp -fno-common"
-    CXXFLAGS="$CXXFLAGS -fpascal-strings -no-cpp-precomp -fno-common"
+    CFLAGS="$CFLAGS -no-cpp-precomp -fno-common"
+    CXXFLAGS="$CXXFLAGS -no-cpp-precomp -fno-common"
     DLL_SUFFIX=".dylib"
-    DSO_LDOPTS=''
+    DSO_LDOPTS='-framework CoreFoundation'
     STRIP="$STRIP -x -S"
     _PLATFORM_DEFAULT_TOOLKIT='mac'
     MOZ_ENABLE_POSTSCRIPT=
diff -ruN mozilla-orig/fink/applications/firefox.desktop mozilla/fink/applications/firefox.desktop
--- mozilla-orig/fink/applications/firefox.desktop	1969-12-31 19:00:00.000000000 -0500
+++ mozilla/fink/applications/firefox.desktop	2007-12-10 13:06:44.000000000 -0500
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Firefox Web Browser
+Comment=Browse the World Wide Web
+Exec=firefox
+Icon=firefox.xpm
+Terminal=false
+Type=Application
+Categories=Application;Network
+StartupNotify=true
diff -ruN mozilla-orig/fink/fink.js mozilla/fink/fink.js
--- mozilla-orig/fink/fink.js	1969-12-31 19:00:00.000000000 -0500
+++ mozilla/fink/fink.js	2007-12-10 13:06:44.000000000 -0500
@@ -0,0 +1,25 @@
+pref("general.useragent.extra.vendorComment", "Fink Community Edition");
+
+// Give a default font set that can do BOLD
+pref("font.name.serif.x-western", "Bitstream Vera Serif");
+pref("font.name.sans-serif.x-western", "Bitstream Vera Sans");
+pref("font.size.variable.x-western", 15);
+
+// TrueType
+//pref("font.FreeType2.enable", true);
+//pref("font.freetype2.shared-library", "@PREFIX@/lib/freetype219/lib/libfreetype.6.dylib");
+//pref("font.freetype2.shared-library", "/usr/X11R6/lib/libfreetype.6.dylib");
+//pref("font.freetype2.autohinted", true);
+//pref("font.freetype2.unhinted", true);
+//pref("font.antialias.min", 10);
+//pref("font.embedded_bitmaps.max", 1000000);
+//pref("font.scale.tt_bitmap.dark_text.min", 64);
+//pref("font.scale.tt_bitmap.dark_text.gain", "0.0");
+//pref("font.directory.truetype.1", "/Library/Fonts");
+//pref("font.directory.truetype.2", "/Network/Library/Fonts");
+//pref("font.directory.truetype.3", "/System/Library/Fonts");
+//pref("font.directory.truetype.4", "/usr/X11R6/lib/X11/fonts/TTF");
+//pref("font.directory.truetype.5", "@PREFIX@/share/fonts/truetype");
+
+// AA with Bitmap scaling.
+//pref("font.scale.aa_bitmap.enable", true);
diff -ruN mozilla-orig/nsprpub/configure mozilla/nsprpub/configure
--- mozilla-orig/nsprpub/configure	2007-04-27 16:01:01.000000000 -0400
+++ mozilla/nsprpub/configure	2007-12-10 13:08:06.000000000 -0500
@@ -3338,9 +3338,6 @@
 
     # Add Mac OS X support for loading CFM & CFBundle plugins
     if test -f /System/Library/Frameworks/Carbon.framework/Carbon; then
-        cat >> confdefs.h <<\EOF
-#define XP_MACOSX 1
-EOF
 
         OS_TARGET=MacOSX
 
@@ -4964,8 +4961,6 @@
 
 
 case $target in
-*-darwin*)
-    ;;
 *)
     echo $ac_n "checking for dlopen in -ldl""... $ac_c" 1>&6
 echo "configure:4972: checking for dlopen in -ldl" >&5
diff -ruN mozilla-orig/nsprpub/pr/include/md/_darwin.h mozilla/nsprpub/pr/include/md/_darwin.h
--- mozilla-orig/nsprpub/pr/include/md/_darwin.h	2006-12-06 13:02:35.000000000 -0500
+++ mozilla/nsprpub/pr/include/md/_darwin.h	2007-12-10 13:06:44.000000000 -0500
@@ -62,7 +62,8 @@
 
 #undef  HAVE_STACK_GROWING_UP
 #define HAVE_DLL
-#define USE_MACH_DYLD
+/* #define USE_MACH_DYLD */
+#define USE_DLFCN
 #define _PR_HAVE_SOCKADDR_LEN  
 #define _PR_STAT_HAS_ST_ATIMESPEC
 #define _PR_HAVE_LARGE_OFF_T
diff -ruN mozilla-orig/nsprpub/pr/src/Makefile.in mozilla/nsprpub/pr/src/Makefile.in
--- mozilla-orig/nsprpub/pr/src/Makefile.in	2006-10-18 20:39:28.000000000 -0400
+++ mozilla/nsprpub/pr/src/Makefile.in	2007-12-10 13:06:44.000000000 -0500
@@ -204,9 +204,9 @@
 endif
 endif
 
-ifeq ($(OS_TARGET),MacOSX)
-OS_LIBS		= -framework CoreServices -framework CoreFoundation
-endif
+#ifeq ($(OS_TARGET),MacOSX)
+#OS_LIBS		= -framework CoreServices -framework CoreFoundation
+#endif
 
 ifdef GC_LEAK_DETECTOR
 EXTRA_LIBS	= -L$(dist_libdir) -lboehm
diff -ruN mozilla-orig/nsprpub/pr/src/linking/prlink.c mozilla/nsprpub/pr/src/linking/prlink.c
--- mozilla-orig/nsprpub/pr/src/linking/prlink.c	2006-10-06 19:36:22.000000000 -0400
+++ mozilla/nsprpub/pr/src/linking/prlink.c	2007-12-10 13:06:44.000000000 -0500
@@ -158,7 +158,8 @@
 #if defined(SUNOS4) || defined(DARWIN) || defined(NEXTSTEP) \
     || defined(WIN16) || defined(XP_OS2) \
     || ((defined(OPENBSD) || defined(NETBSD)) && !defined(__ELF__))
-#define NEED_LEADING_UNDERSCORE
+/* On MacOSX 10.3, dlsym does not accept symbols with '_'. */
+/* #define NEED_LEADING_UNDERSCORE */
 #endif
 
 #define PR_LD_PATHW 0x8000  /* for PR_LibSpec_PathnameU */
